Indexers - Reset

인덱서와 연결된 변경 내용 추적 상태를 다시 설정합니다.

POST {endpoint}/indexers('{indexerName}')/search.reset?api-version=2023-11-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
endpoint
path True

string

검색 서비스의 엔드포인트 URL입니다.

indexerName
path True

string

다시 설정할 인덱서의 이름입니다.

api-version
query True

string

클라이언트 API 버전입니다.

요청 헤더

Name 필수 형식 Description
x-ms-client-request-id

string (uuid)

디버깅에 도움이 되도록 요청과 함께 전송된 추적 ID입니다.

응답

Name 형식 Description
204 No Content
Other Status Codes

SearchError

오류 응답입니다.

예제

SearchServiceResetIndexer

샘플 요청

POST https://myservice.search.windows.net/indexers('myindexer')/search.reset?api-version=2023-11-01

샘플 응답

정의

SearchError

API에 대한 오류 조건을 설명합니다.

Name 형식 Description
code

string

서버에서 정의한 오류 코드 집합 중 하나입니다.

details

SearchError[]

이 보고된 오류로 이어진 특정 오류에 대한 세부 정보 배열입니다.

message

string

사람이 읽을 수 있는 오류 표현입니다.